summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/latex/isodoc/inst
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-01-31 22:28:02 +0000
committerKarl Berry <karl@freefriends.org>2014-01-31 22:28:02 +0000
commit8e334f60a6c746a40471e99900181d7ca3b06ccc (patch)
tree9820ada46e0fe16bacffc76206cd5d406a2a7f54 /Master/texmf-dist/doc/latex/isodoc/inst
parent9e47118de1279ba0a04f879b2bf3f29f07bbe0fc (diff)
isodoc (31jan14)
git-svn-id: svn://tug.org/texlive/trunk@32833 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/latex/isodoc/inst')
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/inst55
1 files changed, 8 insertions, 47 deletions
diff --git a/Master/texmf-dist/doc/latex/isodoc/inst b/Master/texmf-dist/doc/latex/isodoc/inst
index d605163b9c4..56c1cf04d82 100644
--- a/Master/texmf-dist/doc/latex/isodoc/inst
+++ b/Master/texmf-dist/doc/latex/isodoc/inst
@@ -11,20 +11,6 @@ function die {
exit 1
}
-function help {
- cat <<-EOD
- This is inst - install the $NAME LaTeX $DOCTYPE
- Options:
- -h, --help print this help
- -c, --clean remove all files created by the installation, except the zip file
- -z, --zip Create zip for CTAN (no install, developer only)
-
- Without any options, inst installs $NAME in the first writable
- TEXMFMAIN, TEXMFLOCAL or TEXMFHOME tree.
- EOD
- exit
-}
-
function setdir { # create installation directory
for i in MAIN LOCAL HOME; do
TREE=$(kpsewhich --expand-var \$TEXMF$i)
@@ -58,16 +44,12 @@ sed 's/^%//;s/\\\\$//
s/\\text\(sl\|it\){\([^}]\+\)}/\/\2\//g # \textsl{...} -> /.../
s/{\([^}]*\)}/\1/g # keep last, removes all {...}
' >README
+ grep "Changes in version" README >/dev/null || die changes not detected
}
function clean { # clean but keep what goes in the zip
- rm -f $NAME.{aux,fls,glo,gls,idx,ilg,ind,log,out,toc,$EXT}
- rm -f examples/*/{$NAME*,*.{pdf,aux,log,out}}
-}
-
-function Clean {
- clean
- rm -f $NAME.pdf README
+ rm -f $NAME.{aux,fls,glo,gls,idx,ilg,ind,log,out,toc}
+ rm -f examples/*/{$NAME*,*.{pdf,aux,log,fls,out}}
}
function makeall {
@@ -103,45 +85,24 @@ function makeall {
}
function installall {
- # install and cleanup
+ # cleanup and install
+ clean
echo installing in $TREE
-
rm -rf $INSTTEX/* $INSTSRC/* $INSTDOC/*
cp -f $NAME.$EXT languages/iso* $INSTTEX
cp -a $NAME.{ins,dtx} $INSTSRC
cp -a README inst languages/template.ldf $NAME.pdf examples/* $INSTDOC
mktexlsr $TREE 2>/dev/null
- clean
-}
-
-function mkzip {
- clean
+ rm $NAME.cls
cd ..
zipfile=$NAME/$NAME-$VERSION.zip
rm -f $zipfile
- zip -Drq $zipfile $NAME/* -x $NAME/test/*
+ zip -Drq $zipfile $NAME/* -x $NAME/test/* -x $NAME.$EXT
cd $NAME
- Clean
+ rm README $NAME.pdf
}
testexecs
setdir
-
-if ! options=$(getopt -o hcz \
- -l help,clean,zip -- "$@"); then exit 1; fi
-eval set -- "$options"
-
-while [ $# -gt 0 ]; do
- case $1 in
- -c|--clean) Clean; exit;;
- -z|--zip) makeall; mkzip; exit;;
- -h|--help) help;;
- (--) shift; break;;
- (*) break;;
- esac
- shift
-done
-test "$1" = "" || die No arguments expected
-
makeall
installall